## ros-melodic-view-controller-msgs 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(view_controller_msgs)

set(MSG_DEPS
  std_msgs
  geometry_msgs)

find_package(catkin REQUIRED COMPONENTS genmsg message_generation ${MSG_DEPS})

set(MSG_FILES
CameraPlacement.msg
CameraMovement.msg
CameraTrajectory.msg
)

add_message_files(DIRECTORY msg FILES ${MSG_FILES})

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(CATKIN_DEPENDS ${MSG_DEPS} message_runtime)

install(PROGRAMS
  scripts/CameraTest
  scripts/SquareTest
  scripts/ControlsTest
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-melodic-view-controller-msgs 0.1.3

=== debian/changelog ===
ros-melodic-view-controller-msgs (0.1.3-0stretch) stretch; urgency=high

  * Merge pull request #5 <https://github.com/ros-visualization/view_controller_msgs/issues/5> from k-okada/lunar-devel
    change maintainer to ROS Orphaned Package Maintainers
  * change maintainer to ROS Orphaned Package Maintainers
  * Merge pull request #4 <https://github.com/ros-visualization/view_controller_msgs/issues/4> from k-okada/add_travis
    update travis.yml
  * update travis.yml
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 05 Sep 2018 00:00:00 -0000

ros-melodic-view-controller-msgs (0.1.2-0stretch) stretch; urgency=high

  * force correct version in package.xml
  * rename scripts; install scripts
  * fix test scripts
  * apply catkin_lint
  * catkinizing
  * 0.1.1
  * more attempts 2
  * more attempts 2
  * more attempts
  * still fixing release build - 3
  * still fixing release build - 2
  * still fixing release build
  * trys to fix msg generation
  * fixed stack.xml
  * changed parameter name
  * moved msgs to own repo
  * Initial commit
  * Contributors: Adam Leeper, Sachin Chitta

 -- Adam Leeper <adamleeper@gmail.com>  Tue, 20 May 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-view-controller-msgs
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-genmsg, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/view_controller_msgs
Standards-Version: 3.9.2

Package: ros-melodic-view-controller-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Messages for (camera) view controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-view-controller-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-view-controller-msgs 0.2.0

=== debian/changelog ===
ros-melodic-view-controller-msgs (0.2.0-1bionic) bionic; urgency=high

  * add new status badge
  * remove ci badge for now
  * add gh actions for noetic and melodic
  * major version bump since added new msgs
  * Merge pull request #8 <https://github.com/ros-visualization/view_controller_msgs/issues/8> from Razlaw/camera_trajectories
    add messages to support moving view camera along trajectory
  * add CameraMovement and CameraTrajectory messages to support moving view camera along trajectory
  * take over maintenance from orphaned package group (#7 <https://github.com/ros-visualization/view_controller_msgs/issues/7>)
  * Contributors: Evan Flynn, razlaw

 -- Evan Flynn <evanflynn.msu@gmail.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-melodic-view-controller-msgs (0.1.3-1bionic) bionic; urgency=high

  * Merge pull request #5 <https://github.com/ros-visualization/view_controller_msgs/issues/5> from k-okada/lunar-devel
    change maintainer to ROS Orphaned Package Maintainers
  * change maintainer to ROS Orphaned Package Maintainers
  * Merge pull request #4 <https://github.com/ros-visualization/view_controller_msgs/issues/4> from k-okada/add_travis
    update travis.yml
  * update travis.yml
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 05 Sep 2018 07:00:00 -0000

ros-melodic-view-controller-msgs (0.1.2-1bionic) bionic; urgency=high

  * force correct version in package.xml
  * rename scripts; install scripts
  * fix test scripts
  * apply catkin_lint
  * catkinizing
  * 0.1.1
  * more attempts 2
  * more attempts 2
  * more attempts
  * still fixing release build - 3
  * still fixing release build - 2
  * still fixing release build
  * trys to fix msg generation
  * fixed stack.xml
  * changed parameter name
  * moved msgs to own repo
  * Initial commit
  * Contributors: Adam Leeper, Sachin Chitta

 -- Adam Leeper <adamleeper@gmail.com>  Tue, 20 May 2014 07:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-view-controller-msgs
 Section: misc
-Priority: extra
-Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
+Priority: optional
+Maintainer: Evan Flynn <evanflynn.msu@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-genmsg, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
 Homepage: http://ros.org/wiki/view_controller_msgs
 Standards-Version: 3.9.2
